//
//  AppDelegate.swift
//  ConvivaDemo
//
//

import CastlabsApple
import CastlabsConviva
import PRESTOplay
import UIKit

@main
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?

    func application(
        _: UIApplication,
        didFinishLaunchingWithOptions _: [UIApplication.LaunchOptionsKey: Any]?
    )
        -> Bool
    {
        let convivaSettings = ConvivaSettings(
            customerKey: "YOUR-CUSTOMER-KEY",
            gatewayUrl: "YOUR-GATEWAY-URL")

        _ = PRESTOplaySDK.shared.setup(
            "LICENSE",
            [
                HLSPlugin(),
                ConvivaPlugin(convivaSettings),
            ])

        return true
    }
}
